with GNATCOM.Dispinterface;

package MSHTML.IHTMLLinkElement_Interface is

   type IHTMLLinkElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLLinkElement_Type);

   function Pointer (This : IHTMLLinkElement_Type)
     return Pointer_To_IHTMLLinkElement;

   procedure Attach (This    : in out IHTMLLinkElement_Type;
                     Pointer : in     Pointer_To_IHTMLLinkElement);

   procedure Put_href
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_href
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_rel
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_rel
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_rev
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_rev
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_type
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_readyState
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_onreadystatechange
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreadystatechange
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_styleSheet
     (This : IHTMLLinkElement_Type)
     return Pointer_To_IHTMLStyleSheet;

   procedure Put_disabled
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_media
     (This : IHTMLLinkElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_media
     (This : IHTMLLinkElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLLinkElement_Interface;

